Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 882418 (php-Pimple) - Review Request: php-Pimple - A simple Dependency Injection Container for PHP
Summary: Review Request: php-Pimple - A simple Dependency Injection Container for PHP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: php-Pimple
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 22:14 UTC by Shawn Iwinski
Modified: 2012-12-18 01:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 05:56:37 UTC
Type: ---
Embargoed:
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
php-Pimple-review.txt (7.59 KB, text/plain)
2012-12-01 07:58 UTC, Remi Collet
fedora: review?
Details

Description Shawn Iwinski 2012-11-30 22:14:12 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-Pimple.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-Pimple-1.0.0-1.fc17.src.rpm

Description:
Pimple is a small Dependency Injection Container for PHP 5.3 that consists of
just one file and one class.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2012-12-01 07:58:02 UTC
Created attachment 655441 [details]
php-Pimple-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 882418

Comment 2 Remi Collet 2012-12-01 08:08:39 UTC
Tips: you could simply use (in bootstrap.php)
require_once 'Pimple/Pimple.php';

On so, rely on standard php include_path. 
During the check, you can override this value (to avoid another sed)

phpunit -d include_path=%{buildroot}%{_datadir}/php:.:%{pear_phpdir} ...


Please consider removing "5.3" from Summary and %description.
This seems really "restrictive", and it works perfectly with PHP 5.5.0.


I don't see any blockers,

=== APPROVED ====

Comment 3 Shawn Iwinski 2012-12-01 17:10:49 UTC
Thanks for the review and the tips!


New Package SCM Request
=======================
Package Name: php-Pimple
Short Description: A simple Dependency Injection Container for PHP
Owners: siwinski
Branches: f17 f18 el6
InitialCC:

Comment 4 Gwyn Ciesla 2012-12-01 18:50:35 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-12-02 20:11:54 UTC
php-Pimple-1.0.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-Pimple-1.0.0-2.fc18

Comment 6 Fedora Update System 2012-12-02 20:12:05 UTC
php-Pimple-1.0.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Pimple-1.0.0-2.el6

Comment 7 Fedora Update System 2012-12-02 20:12:19 UTC
php-Pimple-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-Pimple-1.0.0-2.fc17

Comment 8 Fedora Update System 2012-12-03 02:31:16 UTC
php-Pimple-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-12-11 05:56:39 UTC
php-Pimple-1.0.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2012-12-12 04:35:11 UTC
php-Pimple-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2012-12-18 01:19:30 UTC
php-Pimple-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.